Tryton - Issues



Title 512* accounts have an unexpected type in the chart of accounts for France
Priority bug Status resolved
Superseder Nosy List ced, rhertzog, roundup-bot
Type Components account_fr
Assigned To rhertzog Keywords patch

Created on 2014-01-31.13:18:45 by rhertzog, last changed by ced.

File name Uploaded Type Edit Remove
0001-Switch-type-of-multiple-512-accounts-to-disponibilit.patch rhertzog, 2014-02-01.22:45:37 text/plain
tryton-account-fr.patch rhertzog, 2014-02-03.09:20:00 text/plain
tryton-account-fr.patch rhertzog, 2014-02-03.10:08:53 text/plain
msg15450 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-02-03.18:24:54
Applied but not exactly because the checksum/id is not valid.
msg15449 (view) Author: [hidden] (roundup-bot) Date: 2014-02-03.18:24:04
New changeset e84dfcfa393b by Rapha?l Hertzog in branch 'default':
Switch type of multiple 512* accounts to "disponibilites"
msg15441 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-02-03.10:08:53
New try. Though you could have done "hg commit --amend" yourself and just told
me to not forget to include it next time...
msg15440 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-02-03.09:49:29
You seem to have forget to put the issue and review id in the message.
msg15439 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-02-03.09:20:00
OK, here's the updated patch. The hunk you quoted was the one that was on top of
the other patch but should now more logically be part of the other patch. I'll
update my other patch once you applied this one.

BTW, "hg import -" can import git patches just fine (except that it mishandles
my name due do its accented character, it should decode it but it doesn't, I'll
report this).
msg15436 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-02-01.23:57:02
On 01 Feb 22:45, Raphaƫl Hertzog wrote:
> diff --git a/account_fr.xml b/account_fr.xml
> index 9bc1190..c6cddef 100644
> --- a/account_fr.xml
> +++ b/account_fr.xml
> @@ -6178,27 +6178,28 @@
>          <record model="account.account.template" id="fr_pcg_cash">
>              <field name="name">Banques</field>
>              <field name="code">512</field>
> -            <field name="kind">view</field>
> +            <field name="type" ref="disponibilites"/>
> +            <field name="kind">other</field>

I don't think this is right.

By the way, your patch doesn't seem to be a valid mercurial patch.
msg15435 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-02-01.22:45:37
Here's the patch to apply (note that it slightly differs from the one in
review317003 because that one was written on top of review3171002).
msg15419 (view) Author: [hidden] (rhertzog) (Tryton committer) Date: 2014-01-31.13:18:44
cf review3171003 I switched type of multiple 512* accounts to "disponibilites"
because that's default logical state of those accounts.

As I wrote in the review:

    By default those accounts tend to hold monetary assets (that result
    in a negative balance) and must be accounted that way.
    The former type "emprunts_dettes_etablissements_credit" is only suited
    for loans, where the account will typically have a positive balance.
    Those should be handled in sub-accounts that will be configured with
    this type.
Date User Action Args
2014-02-03 18:24:54cedsetstatus: testing -> resolved
messages: + msg15450
2014-02-03 18:24:04roundup-botsetnosy: + roundup-bot
messages: + msg15449
2014-02-03 10:08:55rhertzogsetfiles: + tryton-account-fr.patch
messages: + msg15441
keyword: + patch
2014-02-03 09:49:30cedsetmessages: + msg15440
keyword: - patch
2014-02-03 09:20:03rhertzogsetfiles: + tryton-account-fr.patch
messages: + msg15439
keyword: + patch
2014-02-02 20:58:28cedsetkeyword: - patch
2014-02-01 23:57:03cedsetmessages: + msg15436
2014-02-01 22:45:39rhertzogsetfiles: + 0001-Switch-type-of-multiple-512-accounts-to-disponibilit.patch
messages: + msg15435
keyword: + patch
2014-01-31 18:38:52cedsetstatus: chatting -> testing
assignedto: rhertzog
2014-01-31 13:24:57rhertzogsettitle: Fixes to French chart of accounts -> 512* accounts have an unexpected type in the chart of accounts for France

Showing 10 items. Show all history (warning: this could be VERY long)